# Channel Registration **POST /channel/register** # Channel Registration This endpoint gets called in any one of the three scenarios as follows; | Status | Event purpose | | :--------- | :------------------------------------------------------------------------------------------------ | | `register` | A new store/location needs to establish a connection between Deliverect and a channel platform | | `active` | A new store/location is ready to start receiving orders into Deliverect from the channel platform | | `inactive` | A customer wants to stop receiving orders to this store/location from the channel platform | We always expect a JSON result which contains the endpoints shown in the table below; | Attribute | Purpose | Type | Required | | :------------------ | :------------------------------------------------------------------------------------------------------------------- | :----- | :------- | | `statusUpdateURL` | Receive [order status update](https://developers.deliverect.com/reference/post-order-status-update) events | string | YES | | `menuUpdateURL` | Receive [menu update](https://developers.deliverect.com/reference/post-menu-push) requests | string | YES | | `snoozeUnsnoozeURL` | Receive both [snooze and unsnooze](https://developers.deliverect.com/reference/post-snooze-products) requests | string | YES | | `busyModeURL` | Receive [busy mode](https://developers.deliverect.com/reference/post-busy-mode) requests (paused/online) | string | YES | | `updatePrepTimeURL` | Receive [preparation time update](https://developers.deliverect.com/reference/post-preparation-time-update) requests | string | NO | | `courierUpdateURL` | Receive [courier update](https://developers.deliverect.com/reference/post-courier-update) events | string | NO | | `paymentUpdateURL` | Received [payment update](https://developers.deliverect.com/reference/post-payment-update) events | string | NO | | `authorizationURL` | Receive [SSO authorization](https://developers.deliverect.com/reference/channel-webhook-sso-authorization#/) | string | NO | | `menuUrl` | Merchant [Store URL](https://developers.deliverect.com/reference/store-url) / site URL | string | NO | ## Request parameters | Parameter | Meaning | Type | | :--- | :--- | :--- | | `status` | `register` Indicates the registration of the channel. `active` Denotes the activation of the channel. `inactive` Signifies the disabling of the channel. | string | | `channelLocationId` | The unique id of the Merchant in the channel platform | string | | `channelLinkId` | The channel link id generated in Deliverect when it's added to the Location. | string | | `locationId` | The location id generated in the Deliverect portal when it's created in Deliverect. | string | | `channelLinkName` | The channel name displayed in Deliverect. | string | ## Servers - Staging Environment: https://api.staging.deliverect.com (Staging Environment) ## Parameters ## Responses ### 200 Ok #### Body: application/json (object) - **statusUpdateURL** (string) - **menuUpdateURL** (string) - **snoozeUnsnoozeURL** (string) - **busyModeURL** (string) [Powered by Bump.sh](https://bump.sh)